#!/bin/bash

TARGETLIST=target.txt

while read HOST
do
  if [ "A" = "A${HOST}" ] 
  then 
    continue
  fi
  echo "${HOST}_log is processing"
  cp /dev/null ${HOST}_result.txt
### server block
  while read LINE
  do
    if [ "A" = "A${LINE}" ]
    then
      continue
    fi
    FILENAME=`echo ${LINE} | awk {'print $7'}`
    FILESIZE=`echo ${LINE} | awk {'print $5'}`
    FILEDATE=`echo ${LINE} | awk {'print $6'}`
    SHUBETU=`echo ${FILENAME} \
     | sed -e "s/\/var\/log\/\(.*\)/\1/" \
        -e "s/\(.*\)\.[0-9]$/\1/" \
        -e "s/\(.*\)\.[0-9].gz$/\1/" \
        -e "s/\(.*\)[-\.]20[0-9][0-9][0-9][0-9][0-9][0-9].*/\1/" \
        -e "s/\(.*\)\.20[0-9][0-9]-[0-9][0-9]-[0-9][0-9].*/\1/" \
     | awk -F"/" {'print $1"\t"$2'}`
    echo -e "${HOST}\t${FILENAME}\t${FILESIZE}\t${FILEDATE}\t\t${SHUBETU}" >> ${HOST}_result.txt
  done < ${HOST}_varlog.txt
  
done < ${TARGETLIST}

